setTimeout(function() {
	$('#response_sucess').fadeOut('slow');
}, 4000);

$('.bs-timepicker').timepicker({
  format: 'hh:ii',
  autoclose: true,
  todayBtn: true,
});

//Funcion que se ejecuta cuando selecciona la fecha del calendario horas extras y carga la hora de entrada y hora de salida dependiendo el día de la semana
$("#fecha_inicio_novedad_horas_extras").datepicker({
  dateFormat: 'yy-mm-dd',
  onSelect: function (dateText, inst) {
    var date = $("#fecha_inicio_novedad_horas_extras").val();
    //Constante nueva para saber el día de la semana
    const dia = new Date(date).getDay();
    // console.log(dia);
    var codigoy = $("#cedula").val();
    //consulta Salidas Anticipadas
    var datos7 = new FormData();
    datos7.append("codigoy", codigoy);
    datos7.append("dia", dia);
    fetch('autocompletar/consultahorario.php', {
      method: 'POST',
      body: datos7
    })
      .then(res => res.json())
      .then(data => {
        //console.log(datasalida_anticipada)
        if (data === 'error') {
          console.log("Error de conexión")
        } else {
          var hora = data.split(',', 10);
          $("#hora_ingreso_horas_extras").val(hora[0]);
          $("#hora_salida_horas_extras").val(hora[1]);
        }
      });
  }
});

//Funcion que se ejecuta cuando selecciona la fecha del calendario ausencias y carga la hora de entrada y hora de salida dependiendo el día de la semana
$("#fecha_inicio_novedad_ausencia").datepicker({
  dateFormat: 'yy-mm-dd',
  onSelect: function (dateText, inst) {
    var date = $("#fecha_inicio_novedad_ausencia").val();
    //Constante nueva para saber el día de la semana
    const dia = new Date(date).getDay();
    // console.log(dia);
    var codigoy = $("#cedula").val();
    //consulta Salidas Anticipadas
    var datos7 = new FormData();
    datos7.append("codigoy", codigoy);
    datos7.append("dia", dia);
    fetch('autocompletar/consultahorario.php', {
      method: 'POST',
      body: datos7
    })
      .then(res => res.json())
      .then(data => {
        //console.log(datasalida_anticipada)
        if (data === 'error') {
          console.log("Error de conexión")
        } else {
          var hora = data.split(',', 10);
          $("#hora_llegada_ausencia").val(hora[0]);
          $("#hora_salida_ausencia").val(hora[1]);
        }
      });
  }
});

//Funcion que se ejecuta cuando selecciona la fecha del calendario salida anticipada y carga la hora de entrada dependiendo el día de la semana
$("#fecha_inicio_novedad_retardo").datepicker({
  dateFormat: 'yy-mm-dd',
  onSelect: function (dateText, inst) {
    var date = $(this).val();
    //Constante nueva para saber el día de la semana
    const dia = new Date(date).getDay();
    var codigoy = $("#cedula").val();
    //consulta Salidas Anticipadas
    var datos7 = new FormData();
    datos7.append("codigoy", codigoy);
    datos7.append("dia", dia);
    fetch('autocompletar/consultahorario.php', {
      method: 'POST',
      body: datos7
    })
    .then(res => res.json())
    .then(data => {
      //console.log(datasalida_anticipada)
      if (data === 'error') {
        console.log("Error de conexión")
      } else {
        var hora = data.split(',', 10);
        $("#hora_ingreso_retardo").val(hora[0]);
      }
    });
  }
});

//Funcion que se ejecuta cuando selecciona la fecha del calendario salida anticipada y carga la hora de salida dependiendo el día de la semana
$("#fecha_inicio_novedad_salida_anticipada").datepicker({
  dateFormat: 'yy-mm-dd',
  onSelect: function (dateText, inst) {
    var date = $("#fecha_inicio_novedad_salida_anticipada").val();
    console.log(date);
    //Constante nueva para saber el día de la semana
    const dia = new Date(date).getDay();
    var codigoy = $("#cedula").val();
    //consulta Salidas Anticipadas
    var datos7 = new FormData();
    datos7.append("codigoy", codigoy);
    datos7.append("dia", dia);
    fetch('autocompletar/consultahorario.php', {
      method: 'POST',
      body: datos7
    })
      .then(res => res.json())
      .then(data => {
        //console.log(datasalida_anticipada)
        if (data === 'error') {
          console.log("Error de conexión")
        } else {
          var hora = data.split(',', 10);
          $("#hora_salida_salida_anticipada").val(hora[1]);
        }
      });
  }
});


$(document).ready(function(){
  $('.bs-timepicker').timepicker({});
});

$("#fecha_inicio_novedad_retardo").datepicker({ dateFormat: 'yy-mm-dd'});
  $("#fecha_inicio_novedad_retardo").on("change", function () {
      var fromdate = $(this).val();
  });

$("#fecha_inicio_novedad_ausencia").datepicker({ dateFormat: 'yy-mm-dd'});
  $("#fecha_inicio_novedad_ausencia").on("change", function () {
      var fromdate = $(this).val();
  });

$("#fecha_fin_novedad_ausencia").datepicker({ dateFormat: 'yy-mm-dd'});
  $("#fecha_fin_novedad_ausencia").on("change", function () {
      var fromdate = $(this).val();
  });

$("#fecha_inicio_novedad_salida_anticipada").datepicker({ dateFormat: 'yy-mm-dd'});
  $("#fecha_inicio_novedad_salida_anticipada").on("change", function () {
      var fromdate = $(this).val();
  });

$('#select_novedad').change(function() {
  var novedad = $('#select_novedad').val();
  var selectClassAu = $('.ausencia').toggle($(this).val() == 'Ausencias');
  var selectClassJust = $('.justificacion_ausencia').toggle($(this).val() == 'Ausencias');
  var selectClassType = $('.tipo_permiso_ausencia').toggle($(this).val() == 'Ausencias');
  $('.horas_extras').toggle($(this).val() == 'horas_extras');
  $('.retardo').toggle($(this).val() == 'Retardos');
  $('.salida_anticipada').toggle($(this).val() == 'salida_anticipada');
  $('.ausencia_programada').toggle($(this).val() == 'otra');
  $('.ausencia_medica').toggle($(this).val() == 'otra');
  $('.validado_por_sso').toggle($(this).val() == 'otra');
  $('.justificacion_ausencia').toggle($(this).val() == 'otra');
  $('.remunerado_ausencia').toggle($(this).val() == 'otra');
  $('.tiempo_viaje_ausencia').toggle($(this).val() == 'otra');
  $('.tipo_permiso_ausencia').toggle($(this).val() == 'permiso');
  $('.hora_salida_ausencia').toggle($(this).val() == 'salida_con_retorno');
  $('.hora_llegada_ausencia').toggle($(this).val() == 'salida_con_retorno');

  if (novedad == 'horas_extras') {
    $('#fecha_inicio_novedad_horas_extras').prop('required', true);
  }else{
    $('#fecha_inicio_novedad_horas_extras').prop('required', false);
  }

  if (novedad == 'Retardos') {
    $('#fecha_inicio_novedad_retardo').prop('required', true);
  } else {
    $('#fecha_inicio_novedad_retardo').prop('required', false);
  }

  if (novedad == 'salida_anticipada') {
    $('#fecha_inicio_novedad_salida_anticipada').prop('required', true);
  } else {
    $('#fecha_inicio_novedad_salida_anticipada').prop('required', false);
  }

  if (novedad == 'Ausencias') {
    $('#fecha_inicio_novedad_ausencia').prop('required', true);
    $('#fecha_fin_novedad_ausencia').prop('required', true);
  } else {
    $('#fecha_inicio_novedad_ausencia').prop('required', false);
    $('#fecha_fin_novedad_ausencia').prop('required', false);
  }

  selectClassAu.find('select option[value="otra"]').attr('selected',false);
  selectClassAu.find('select option[value="Fuerza Mayor AJ"]').attr('selected',false);
  selectClassJust.find('select option[value="falta_injustificada"]').attr('selected',false);
  selectClassJust.find('select option[value="falta_justificada"]').attr('selected',false);
  selectClassJust.find('select option[value="paralizacion_planta"]').attr('selected',false);
  selectClassJust.find('select option[value="parada_fuerzam_tipo_viaje"]').attr('selected',false);
  selectClassJust.find('select option[value="permiso"]').attr('selected',false);
  selectClassType.find('select option[value="tramite_personal"]').attr('selected',false);
  selectClassType.find('select option[value="examenes_medicos"]').attr('selected',false);
  selectClassType.find('select option[value="eventos_culturales"]').attr('selected',false);
  selectClassType.find('select option[value="servicio_militar"]').attr('selected',false);
  selectClassType.find('select option[value="detenciones"]').attr('selected',false);
  selectClassType.find('select option[value="matrimonio"]').attr('selected',false);
  selectClassType.find('select option[value="defuncion_familiar"]').attr('selected',false);
  selectClassType.find('select option[value="eventos_sindicales"]').attr('selected',false);
  selectClassType.find('select option[value="control_prenatal"]').attr('selected',false);
  selectClassType.find('select option[value="control_pediatrico_hijo"]').attr('selected',false);
  selectClassType.find('select option[value="descanso_compensatorio"]').attr('selected',false);
  selectClassType.find('select option[value="licencia_paternidad"]').attr('selected',false);
  selectClassType.find('select option[value="nacimiento_hijo"]').attr('selected',false);
  selectClassType.find('select option[value="salida_con_retorno"]').attr('selected',false);

  $('#fecha_inicio_novedad_horas_extras').val('');
  $('#hora_ingreso_horas_extras').val('');
  $('#hora_salida_horas_extras').val('');
  $('#motivo_horas_extras').val('');
  $('#fecha_inicio_novedad_retardo').val('');
  $('#hora_ingreso_retardo').val('');
  $('#remunerado_retardo_si').prop( "checked", false );
  $('#remunerado_retardo_no').prop( "checked", false );
  $('#tiempo_viaje_si').prop( "checked" , false);
  $('#tiempo_viaje_no').prop( "checked" , false);
  $('#motivo_retardo').val('');
  $('#fecha_inicio_novedad_ausencia').val('');
  $('#fecha_fin_novedad_ausencia').val('');
  $('#motivo_ausencia').val('');
  $('#fecha_inicio_novedad_salida_anticipada').val('');
  $('#hora_salida_salida_anticipada').val('');
  $('#remunerado_salida_anticipada_si').prop( "checked" , false);
  $('#remunerado_salida_anticipada_no').prop( "checked" , false);
  $('#motivo_salida_anticipada').val('');

  var fechai = $('#desde').val();
  var fechaf = $('#hasta').val();
});

$('#clase_ausencia').change(function() {
    //Cuando la clase de ausencia es otra
    $('.ausencia_programada').toggle($(this).val() == 'otra');
    $('.ausencia_medica').toggle($(this).val() == 'ausencia_medica');
    $('.validado_por_sso').toggle($(this).val() == 'ausencia_medica');
    $('.justificacion_ausencia').toggle($(this).val() == 'otra');
    $('.tipo_permiso_ausencia').toggle($(this).val() == 'permiso');
    $('.hora_salida_ausencia').toggle($(this).val() == 'salida_con_retorno');
    $('.hora_llegada_ausencia').toggle($(this).val() == 'salida_con_retorno');
    $('.ausencia_programada_si').prop("checked",false);
    $('.ausencia_programada_no').prop("checked",false);
    $('#fecha_inicio_novedad_ausencia').val('');
    $('#fecha_fin_novedad_ausencia').val('');
    $('.validado_por_sso_si').prop("checked",false);
    $('.validado_por_sso_no').prop("checked",false);
    $('#remunerado_ausencia_si').prop("checked",false);
    $('#remunerado_ausencia_no').prop("checked",false);
    $('.tiempo_viaje_ausencia_si').prop("checked",false);
    $('.tiempo_viaje_ausencia_si').prop("checked",false);
    $('#motivo_ausencia').val('');
    $('select option[value="selected"]').attr("selected", true);
		document.getElementById('justificacion_ausencia').value=0;
		document.getElementById('tipo_permiso_ausencia').value=0;

});

$('#justificacion_ausencia').change(function() {
  $('.tipo_permiso_ausencia').toggle($(this).val() == 'permiso');
  $('.hora_salida_ausencia').toggle($(this).val() == 'salida_con_retorno');
  $('.hora_llegada_ausencia').toggle($(this).val() == 'salida_con_retorno');
  $('.remunerado_ausencia').toggle($(this).val() != 'falta_injustificada');
  $('.tiempo_viaje_ausencia').toggle($(this).val() != 'falta_injustificada');
	document.getElementById('tipo_permiso_ausencia').value=0;
});

$('#tipo_permiso_ausencia').change(function(){
  $('.hora_salida_ausencia').toggle($(this).val() == 'salida_con_retorno');
  $('.hora_llegada_ausencia').toggle($(this).val() == 'salida_con_retorno');
  $('#hora_salida_ausencia').val('');
  $('#hora_llegada_ausencia').val('');
});

$('#trabajador').focusout(function() {
  $('.datos_trabajador').toggle($(this).val() != '');
});

//  <!-- autocompletar -->
$(document).ready(function () {
  //Funcion que se ejecuta cuando actualizamos la pantalla para cargar la tabla de trabajadores.
  var datost = new FormData();
  var codigo = $("#cedula_ingresa").val();
  datost.append("consulta","todos");
  fetch('autocompletar/consultahorario.php',{
    method: 'POST',
    body: datost
  })
  .then( res => res.json())
  .then( datatrabajadores => {
    let output1 = '';
    let titulo1 = `
      <tr>
        <th><br><strong style="visibility:none;" id="job">Trabajadores</strong><br></br></th>
      </tr>
      <tr>
        <th style="visibility:none;" id="code">Cédula&nbsp;</th>
        <th style="visibility:none;" id="name">Nombres&nbsp;</th>
        <th style="visibility:none;" id="lastName">Apellidos&nbsp;</th>
        <th style="display:block;">&nbsp;</th>
      </tr>
      `;
    for(let i in datatrabajadores){
      output1 += `
      <tr>
        <td>${datatrabajadores[i].codigo}</td>
        <td>${datatrabajadores[i].nombres}</td>
        <td>${datatrabajadores[i].apellidos}</td>
        <td><input value="Registrar" type="button" name="seleccion" id="seleccion" class="boton" onclick="msg('${datatrabajadores[i].codigo}','${datatrabajadores[i].nombres}','${datatrabajadores[i].apellidos}')"></input></td>
      </tr>`;
    }
    if(output1 != ""){
      $('#titulodatos_trabajadores').html(titulo1);
    }
    $('#datos_trabajadores').html(output1);
  });

  //Funcion que se ejecuta cuando selecciona o digita el nombre del trabajador para cargar la informacion de novedades horas exttras ausencias retardos y salidas anticipadas
  $("#trabajador").typeahead({
    source: function (query, resultado) {
      var codigo = $("#cedula_ingresa").val();
      var parametros = {query,codigo};
      $.ajax({
        url: "autocompletar/autocompletar.php",
        type: "POST",
        dataType: "json",
        data: parametros,
        success: function (data) {
          resultado($.map(data, function (item) {
            return item;
          }));
        }

      });
      $('#datos_trabajadores').css('display','none');
      $('#job').css('visibility','hidden');
      $('#code').css('visibility','hidden');
      $('#name').css('visibility','hidden');
      $('#lastName').css('visibility','hidden');
      $('.nov').css('visibility', 'visible');
    }
  });
});

$('#trabajador').focusout(function() {
  var x = $(this).val()
  //console.log(x);
  separador = " ", // un espacio en blanco
          limite    = 16,
          arregloDeSubCadenas = x.split(separador, limite);
  var codigox = arregloDeSubCadenas[4];
  //console.log(codigox);
  localStorage.setItem("codigo", codigox);

  var datos = new FormData();
  datos.append("consulta", 1);
  datos.append("codigo", codigox);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos
  })
  .then( res => res.json())
  .then( data => {
    //console.log(data)
    if(data === 'error'){
      //console.log("Error de conexión")
    }else{
      var cadena = data,
      separador = ",", // un espacio en blanco
      limite    = 7,
      arregloDeSubCadenas = cadena.split(separador, limite);
      //console.log(arregloDeSubCadenas);
      var nombre = arregloDeSubCadenas[0];
      var cargo = arregloDeSubCadenas[1];
      var departamento = arregloDeSubCadenas[2];
      var jornada_trabajador = arregloDeSubCadenas[3];
      var horario_trabajador = arregloDeSubCadenas[4];
      var desde = arregloDeSubCadenas[5];
      var hasta = arregloDeSubCadenas[6];
      document.getElementById('trabajador').values = nombre;
      document.getElementById('nombre').innerHTML=nombre;
      document.getElementById('cedula').innerHTML=codigox;
      document.getElementById('cargo').innerHTML=cargo;
      document.getElementById('departamento').innerHTML=departamento;
      document.getElementById('jornada_trabajador').innerHTML=jornada_trabajador;
      document.getElementById('horario_trabajador').innerHTML=horario_trabajador;
      $('#desde').val(desde);
      $('#hasta').val(hasta);
      $("#cedula").val(codigox);
      document.getElementById('cedula_impr').innerHTML=$("#cedula").val();
    }
    $('#datos_trabajadores').css('display','none');
    $('#job').css('visibility','hidden');
    $('#code').css('visibility','hidden');
    $('#name').css('visibility','hidden');
    $('#lastName').css('visibility','hidden');
    $('.nov').css('visibility', 'visible');
    $('.selectNovedad').css('visibility','visible');
    $('.datesNovedad').css('visibility', 'visible');
    $('.lineNovedad').css('visibility', 'visible');
    $('.lineNovedad').css('border-bottom', '1px solid gray');
    $('.buttonNovedad').css('visibility', 'visible');
  });

  //consulta Horas Extras
  var datos2 = new FormData();
  datos2.append("consulta", 2);
  datos2.append("codigo", codigox);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos2
  })
  .then( res => res.json())
  .then( datahoras_extras => {
    //console.log(data)
    if(datahoras_extras === 'error'){
      //console.log("Error de conexión")
    }else{
      //console.log(datahoras_extras)
      let output = '';
      for(let i in datahoras_extras){
        output += `
        <tr>
          <td>${datahoras_extras[i].fecha_inicio_novedad}&nbsp</td>
          <td>${datahoras_extras[i].hora_ingreso}&nbsp</td>
          <td>${datahoras_extras[i].hora_salida}&nbsp</td>
					<td>${datahoras_extras[i].estado_novedad}&nbsp</td>
          <td><button type='button' data-id='${datahoras_extras[i].id_novedad}' class='boton' onclick="verNovedad('${datahoras_extras[i].id_novedad}','horas_extras');" style='font-size: 10px;'>Ver</button></td>`;
					//Puede crear horas extras?, por ende puede borrar
					if (profile.substr(28,1)==1){
						output += `<td><img src="images/trash.png" alt="Borrar" width="25" height="25" onclick="javascript:borrardatosNovedad('${datahoras_extras[i].id_novedad}')"></td>`;
					}
				output += `</tr>`;
        }
      let titulo = `
        <tr>
        <th><br><strong>Horas Extras</strong><br></br></th>
        </tr>
        <tr>
          <th>Fecha &nbsp;</th>
          <th>Hora Ingreso &nbsp;</th>
          <th>Hora Salida &nbsp;</th>
					<th>Estado &nbsp;&nbsp;</th>
        </tr>
        `;
        if(output != ""){
          $('#titulodatoshoras_extras').html(titulo);
        }
        $('#datoshoras_extras').html(output);
    }
    $('#datos_trabajadores').css('display','none');
    $('#job').css('visibility','hidden');
    $('#code').css('visibility','hidden');
    $('#name').css('visibility','hidden');
    $('#lastName').css('visibility','hidden');
  });
  //consulta ausencia
  var datos3 = new FormData();
  datos3.append("consulta", 3);
  datos3.append("codigo", codigox);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos3
  })
  .then( res => res.json())
  .then( dataausencia => {
    //console.log(data)
    if(dataausencia === 'error'){
      //console.log("Error de conexión")
    }else{
      //console.log(dataausencia)
      let output = '';
			for(let i in dataausencia){
        clase_ausencia = dataausencia[i].clase_ausencia;
				estado_novedad = dataausencia[i].estado_novedad;
        if (clase_ausencia == 'ausencia_medica'){
          clase_ausencia = 'Ausencia Médica';
        }
				if (estado_novedad != 'Aprobada'){

					//Puede crear ausencias?, por ende puede editar y borrar
					if (profile.substr(37,1)==1){
						boton_editar = `<td><input value="Editar" type="button" name="seleccion" id="seleccion" class="boton" style="font-size: 10px;" onclick="cargardatosAusencias('${dataausencia[i].fecha_inicio_novedad}','${dataausencia[i].fecha_fin_novedad}','${dataausencia[i].clase_ausencia}','${dataausencia[i].motivo}','${dataausencia[i].ausencia_programada}','${dataausencia[i].ausencia_medica}','${dataausencia[i].validado_por_sso}','${dataausencia[i].justificacion_ausencia}','${dataausencia[i].remunerado}','${dataausencia[i].tiempo_viaje}','${dataausencia[i].hora_salida_ausencia}','${dataausencia[i].hora_llegada_ausencia}','${dataausencia[i].tipo_permiso}','Ausencias','${dataausencia[i].id_novedad}')"></input></td>`;
						boton_borrar = `<td><img src="images/trash.png" alt="Borrar" width="25" height="25" onclick="javascript:borrardatosNovedad('${dataausencia[i].id_novedad}')"></td>`;
					}else{
						//No puede crear ausencias, pero es medico y la ausencia es medica?, por ende solo puede editar
						if ((profile.substr(34,1)==1)&&(dataausencia[i].clase_ausencia == 'ausencia_medica')){
							boton_editar = `<td><input value="Editar" type="button" name="seleccion" id="seleccion" class="boton" style="font-size: 10px;" onclick="cargardatosAusencias('${dataausencia[i].fecha_inicio_novedad}','${dataausencia[i].fecha_fin_novedad}','${dataausencia[i].clase_ausencia}','${dataausencia[i].motivo}','${dataausencia[i].ausencia_programada}','${dataausencia[i].ausencia_medica}','${dataausencia[i].validado_por_sso}','${dataausencia[i].justificacion_ausencia}','${dataausencia[i].remunerado}','${dataausencia[i].tiempo_viaje}','${dataausencia[i].hora_salida_ausencia}','${dataausencia[i].hora_llegada_ausencia}','${dataausencia[i].tipo_permiso}','Ausencias','${dataausencia[i].id_novedad}')"></input></td>`;
							boton_borrar = '';
						}else{
							boton_editar = '';
							boton_borrar = '';
						}
					}
				}else{
					estado_novedad = '<span class = "label_status_novedad">Aprobada</span>';
					boton_editar = '';
					boton_borrar = '';
				}
        output += `
        <tr>
        <td>${dataausencia[i].fecha_inicio_novedad}&nbsp</td>
        <td>${dataausencia[i].fecha_fin_novedad}&nbsp</td>
        <td>${clase_ausencia}&nbsp</td>
				<td>${estado_novedad}&nbsp</td>
        <td>
        <button type='button' data-id='${dataausencia[i].id_novedad}' class='boton' onclick="verNovedad('${dataausencia[i].id_novedad}','ausencias');" style='font-size: 10px;'>Ver</button>
        </td>
				${boton_editar}
				${boton_borrar}
        </tr>
        `;}
      let titulo = `
        <tr>
        <th><br><strong>Ausencias</strong><br></br></th>
        </tr>
        <tr>
        <th>Fecha Inicio &nbsp;</th>
        <th>Fecha Final &nbsp;</th>
        <th>Clase&nbsp;</th>
				<th>Estado &nbsp;</th>
        </tr>
        `;
        if(output != ""){
          $('#titulodatosausencia').html(titulo);
        }
        $('#datosausencia').html(output);
    }
  });
  //consulta Retardos
  var datos4 = new FormData();
  datos4.append("consulta", 4);
  datos4.append("codigo", codigox);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos4
  })
  .then( res => res.json())
  .then( dataretardos => {
    //console.log(data)
    if(dataretardos === 'error'){
    //	console.log("Error de conexión")
    }else{
    //	console.log(dataretardos)
      let output = '';
      for(let i in dataretardos){
        output += `
        <tr>
        <td>${dataretardos[i].fecha_inicio_novedad}&nbsp</td>
        <td>${dataretardos[i].hora_ingreso}&nbsp</td>
				<td>${dataretardos[i].estado_novedad}&nbsp</td>
        <td>
        <button type='button' data-id='${dataretardos[i].id_novedad}' class='boton' onclick="verNovedad('${dataretardos[i].id_novedad}','retardos');" style='font-size: 10px;'>Ver</button>
        </td>`;
				//Puede crear retardos?, por ende puede editar y borrar
				if (profile.substr(32,1)==1){
					output += `<td><input value="Editar" type="button" name="seleccion" id="seleccion" class="boton" style="font-size: 10px;" onclick="cargardatosRetardos('${dataretardos[i].fecha_inicio_novedad}','${dataretardos[i].hora_ingreso}','${dataretardos[i].motivo}','${dataretardos[i].remunerado}','${dataretardos[i].tiempo_viaje}','Retardos','${dataretardos[i].id_novedad}')"></input></td>
	        <td></input></td>
	        <td><img src="images/trash.png" alt="Borrar" width="25" height="25" onclick="javascript:borrardatosNovedad('${dataretardos[i].id_novedad}')"></td>`;
				}
				output += `</tr>`;
			}
      let titulo = `
          <tr>
          <th><br><strong>Retardos</strong><br></br></th>
          </tr>
          <tr>
          <th>Fecha Novedad &nbsp;</th>
          <th>Hora Ingreso &nbsp;</th>
					<th>Estado &nbsp;</th>
          <th> &nbsp;</th>
          </tr>
          `;
          if(output != ""){
            $('#titulodatosretardos').html(titulo);
          }
        $('#datosretardos').html(output);
    }
  });
  //consulta Salidas Anticipadas
  var datos6 = new FormData();
  datos6.append("consulta", 6);
  datos6.append("codigo", codigox);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos6
  })
  .then( res => res.json())
  .then( datasalida_anticipada => {
    if(datasalida_anticipada === 'error'){
    }else{
      let output = '';
      for(let i in datasalida_anticipada){
        output += `
        <tr>
        <td>${datasalida_anticipada[i].fecha_inicio_novedad}&nbsp</td>
        <td>${datasalida_anticipada[i].hora_salida}&nbsp</td>
				<td>${datasalida_anticipada[i].estado_novedad}&nbsp</td>
        <td>
        <button type='button' data-id='${datasalida_anticipada[i].id_novedad}' class='boton' onclick="verNovedad('${datasalida_anticipada[i].id_novedad}','salida_anticipada');" style='font-size: 10px;'>Ver</button>
        </td>`;
				//Puede crear salidas anticipadas?, por ende puede editar y borrar
				if (profile.substr(35,1)==1){
        	output += `<td><input value="Editar" type="button" name="seleccion" id="seleccion" style="font-size: 10px;" class="boton" onclick="cargardatosSalidasAnticipadas('${datasalida_anticipada[i].fecha_inicio_novedad}','${datasalida_anticipada[i].hora_salida}','${datasalida_anticipada[i].motivo}','${datasalida_anticipada[i].remunerado}','salida_anticipada','${datasalida_anticipada[i].id_novedad}')"></input></td>
        	<td><img src="images/trash.png" alt="Borrar" width="25" height="25" onclick="javascript:borrardatosNovedad('${datasalida_anticipada[i].id_novedad}')"></td>`;
				}
				output += `</tr>`;
			}
      let titulo = `
        <tr style="text-overflow:clip; white-space: nowrap;">
        <th><br><strong>Salidas Anticipadas</strong><br></br></th>
        </tr>
        <tr>
        <th>Fecha&nbsp;</th>
        <th>Hora de salida &nbsp;</th>
				<th>Estado &nbsp;</th>
        </tr>
        `;
        if(output != ""){
          $('#titulodatossalida_anticipada').html(titulo);
        }
        $('#datossalida_anticipada').html(output);
    }
  });
//Fin consultas
});

//esto es lo nuevo para cuando selecciones un usuario de la tabla y se puede optimizar muchisimo nombrando las funciones
function msg(cc,n,a) {
   //console.log(cc+n+a);
  document.getElementById('cedula_ingresa').value =cc;
  document.getElementById('trabajador').value=n+' '+a+' '+cc;
  $('.nov').css('visibility', 'visible');
  $('.selectNovedad').css('visibility', 'visible');
  $('.datesNovedad').css('visibility', 'visible');
  $('.lineNovedad').css('visibility', 'visible');
  $('.lineNovedad').css('border-bottom', '1px solid gray');
  $('.buttonNovedad').css('visibility', 'visible');

  var datos = new FormData();
  datos.append("consulta", 1);
  datos.append("codigo", cc);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos
  })
  .then( res => res.json())
  .then( data => {
    //console.log(data)
    if(data === 'error'){
      console.log("Error de conexión")
    }else{
      //console.log("Sin error"+data)
      var cadena = data,
      separador = ",", // un espacio en blanco
      limite    = 7,
      arregloDeSubCadenas = cadena.split(separador, limite);
      var nombre = arregloDeSubCadenas[0];
      var cargo = arregloDeSubCadenas[1];
      var departamento = arregloDeSubCadenas[2];
      var jornada_trabajador = arregloDeSubCadenas[3];
      var horario_trabajador = arregloDeSubCadenas[4];
      var desde = arregloDeSubCadenas[5];
      var hasta = arregloDeSubCadenas[6];
      document.getElementById('nombre').innerHTML=nombre;
      document.getElementById('cedula').innerHTML=cc;
      document.getElementById('cargo').innerHTML=cargo;
      document.getElementById('departamento').innerHTML=departamento;
      document.getElementById('jornada_trabajador').innerHTML=jornada_trabajador;
      document.getElementById('horario_trabajador').innerHTML=horario_trabajador;
      $('#desde').val(desde);
      $('#hasta').val(hasta);
      $("#cedula").val(cc);
      document.getElementById('cedula_impr').innerHTML=$("#cedula").val();
    }
  });
  //consulta Horas Extras
  var datos2 = new FormData();
  datos2.append("consulta", 2);
  datos2.append("codigo", cc);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos2
  })
  .then( res => res.json())
  .then( datahoras_extras => {
    //console.log(data)
    if(datahoras_extras === 'error'){
      //console.log("Error de conexión")
    }else{
      //console.log(datahoras_extras)
      let output = '';
      for(let i in datahoras_extras){
        output += `
        <tr>
          <td>${datahoras_extras[i].fecha_inicio_novedad}&nbsp</td>
          <td>${datahoras_extras[i].hora_ingreso}&nbsp</td>
          <td>${datahoras_extras[i].hora_salida}&nbsp</td>
					<td>${datahoras_extras[i].estado_novedad}&nbsp</td>
          <td>
          	<button type='button' data-id='${datahoras_extras[i].id_novedad}' class='boton' onclick="verNovedad('${datahoras_extras[i].id_novedad}','horas_extras');" style='font-size: 10px;'>Ver</button></td>`;

					//Puede crear horas extras?, por ende puede borrar
					if (profile.substr(28,1)==1){
          	output += `<td><img src="images/trash.png" alt="Borrar" width="25" height="25" onclick="javascript:borrardatosNovedad('${datahoras_extras[i].id_novedad}')"></td>`;
					}
        output += `</tr>`;
			}
      let titulo = `
        <tr>
        <th><br><strong>Horas Extras</strong><br></br></th>
        </tr>
        <tr>
          <th>Fecha&nbsp;</th>
          <th>Hora Ingreso &nbsp;</th>
          <th>Hora Salida &nbsp;</th>
					<th>Estado &nbsp;</th>
        </tr>
        `;
        if(output != ""){
          $('#titulodatoshoras_extras').html(titulo);
        }
        $('#datoshoras_extras').html(output);
    }
  });
  //consulta ausencia
  var datos3 = new FormData();
  datos3.append("consulta", 3);
  datos3.append("codigo", cc);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos3
  })
  .then( res => res.json())
  .then( dataausencia => {
    //console.log(data)
    if(dataausencia === 'error'){
      //console.log("Error de conexión")
    }else{
      //console.log(dataausencia)
      let output = '';
      for(let i in dataausencia){
        clase_ausencia = dataausencia[i].clase_ausencia;
				estado_novedad = dataausencia[i].estado_novedad;
        if (clase_ausencia == 'ausencia_medica'){
          clase_ausencia = 'Ausencia Médica';
        }
				if (estado_novedad != 'Aprobada'){

					//Puede crear ausencias?, por ende puede editar y borrar
					if (profile.substr(37,1)==1){
						boton_editar = `<td><input value="Editar" type="button" name="seleccion" id="seleccion" class="boton" style="font-size: 10px;" onclick="cargardatosAusencias('${dataausencia[i].fecha_inicio_novedad}','${dataausencia[i].fecha_fin_novedad}','${dataausencia[i].clase_ausencia}','${dataausencia[i].motivo}','${dataausencia[i].ausencia_programada}','${dataausencia[i].ausencia_medica}','${dataausencia[i].validado_por_sso}','${dataausencia[i].justificacion_ausencia}','${dataausencia[i].remunerado}','${dataausencia[i].tiempo_viaje}','${dataausencia[i].hora_salida_ausencia}','${dataausencia[i].hora_llegada_ausencia}','${dataausencia[i].tipo_permiso}','Ausencias','${dataausencia[i].id_novedad}')"></input></td>`;
						boton_borrar = `<td><img src="images/trash.png" alt="Borrar" width="25" height="25" onclick="javascript:borrardatosNovedad('${dataausencia[i].id_novedad}')"></td>`;
					}else{
						//No puede crear ausencias, pero es medico y la ausencia es medica?, por ende solo puede editar
						if ((profile.substr(34,1)==1)&&(dataausencia[i].clase_ausencia == 'ausencia_medica')){
							boton_editar = `<td><input value="Editar" type="button" name="seleccion" id="seleccion" class="boton" style="font-size: 10px;" onclick="cargardatosAusencias('${dataausencia[i].fecha_inicio_novedad}','${dataausencia[i].fecha_fin_novedad}','${dataausencia[i].clase_ausencia}','${dataausencia[i].motivo}','${dataausencia[i].ausencia_programada}','${dataausencia[i].ausencia_medica}','${dataausencia[i].validado_por_sso}','${dataausencia[i].justificacion_ausencia}','${dataausencia[i].remunerado}','${dataausencia[i].tiempo_viaje}','${dataausencia[i].hora_salida_ausencia}','${dataausencia[i].hora_llegada_ausencia}','${dataausencia[i].tipo_permiso}','Ausencias','${dataausencia[i].id_novedad}')"></input></td>`;
							boton_borrar = '';
						}else{
							boton_editar = '';
							boton_borrar = '';
						}
					}
				}else{
					estado_novedad = '<span class = "label_status_novedad">Aprobada</span>';
					boton_editar = '';
					boton_borrar = '';
				}
        output += `
        <tr>
        <td>${dataausencia[i].fecha_inicio_novedad}&nbsp</td>
        <td>${dataausencia[i].fecha_fin_novedad}&nbsp</td>
        <td>${clase_ausencia}&nbsp</td>
				<td>${estado_novedad}&nbsp</td>
        <td>
        <button type='button' data-id='${dataausencia[i].id_novedad}' class='boton' onclick="verNovedad('${dataausencia[i].id_novedad}','ausencias');" style='font-size: 10px;'>Ver</button>
        </td>
				${boton_editar}
				${boton_borrar}
        </tr>
        `;}
      let titulo = `
        <tr>
        <th><br><strong>Ausencias</strong><br></br></th>
        </tr>
        <tr>

        <th>Fecha Inicio &nbsp;</th>
        <th>Fecha Final &nbsp;</th>
        <th>Clase&nbsp;</th>
				<th>Estado &nbsp;</th>
        </tr>
        `;
        if(output != ""){
          $('#titulodatosausencia').html(titulo);
        }
        $('#datosausencia').html(output);
    }
    $('#datos_trabajadores').css('display','none');
    $('#job').css('visibility','hidden');
    $('#code').css('visibility','hidden');
    $('#name').css('visibility','hidden');
    $('#lastName').css('visibility','hidden');
  });
  //consulta Retardos
  var datos4 = new FormData();
  datos4.append("consulta", 4);
  datos4.append("codigo", cc);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos4
  })
  .then( res => res.json())
  .then( dataretardos => {
    //console.log(data)
    if(dataretardos === 'error'){
    //	console.log("Error de conexión")
    }else{
    //	console.log(dataretardos)
      let output = '';
			for(let i in dataretardos){
        output += `
        <tr>
        <td>${dataretardos[i].fecha_inicio_novedad}&nbsp</td>
        <td>${dataretardos[i].hora_ingreso}&nbsp</td>
				<td>${dataretardos[i].estado_novedad}&nbsp</td>
        <td>
        <button type='button' data-id='${dataretardos[i].id_novedad}' class='boton' onclick="verNovedad('${dataretardos[i].id_novedad}','retardos');" style='font-size: 10px;'>Ver</button>
        </td>`;
				//Puede crear retardos?, por ende puede editar y borrar
				if (profile.substr(32,1)==1){
					output += `<td><input value="Editar" type="button" name="seleccion" id="seleccion" class="boton" style="font-size: 10px;" onclick="cargardatosRetardos('${dataretardos[i].fecha_inicio_novedad}','${dataretardos[i].hora_ingreso}','${dataretardos[i].motivo}','${dataretardos[i].remunerado}','${dataretardos[i].tiempo_viaje}','Retardos','${dataretardos[i].id_novedad}')"></input></td>
	        <td></input></td>
	        <td><img src="images/trash.png" alt="Borrar" width="25" height="25" onclick="javascript:borrardatosNovedad('${dataretardos[i].id_novedad}')"></td>`;
				}
				output += `</tr>`;
			}
      let titulo = `
          <tr>
          <th><br><strong>Retardos</strong><br></br></th>
          </tr>
          <tr>
          <th>Fecha Novedad &nbsp;</th>
          <th>Hora Ingreso &nbsp;</th>
					<th>Estado &nbsp;</th>
          </tr>
          `;
          if(output != ""){
            $('#titulodatosretardos').html(titulo);
          }
        $('#datosretardos').html(output);
    }
    // $('.ausencia_programada_si').toggle($(this).val() == 'otra');
    // $('.ausencia_programada_no').toggle($(this).val() == 'otra');
    // $('.validado_por_sso_si').toggle($(this).val() == 'otra');
    // $('.validado_por_sso_no').toggle($(this).val() == 'otra');
  });
  //consulta Salidas Anticipadas
  var datos6 = new FormData();
  datos6.append("consulta", 6);
  datos6.append("codigo", cc);
  fetch('autocompletar/consultatrabajador.php',{
    method: 'POST',
    body: datos6
  })
  .then( res => res.json())
  .then( datasalida_anticipada => {
    //console.log(datasalida_anticipada)
    if(datasalida_anticipada === 'error'){
      //console.log("Error de conexión")
    }else{
      //console.log(datasalida_anticipada)
      let output = '';
			for(let i in datasalida_anticipada){
        output += `
        <tr>
        <td>${datasalida_anticipada[i].fecha_inicio_novedad}&nbsp</td>
        <td>${datasalida_anticipada[i].hora_salida}&nbsp</td>
				<td>${datasalida_anticipada[i].estado_novedad}&nbsp</td>
        <td>
        <button type='button' data-id='${datasalida_anticipada[i].id_novedad}' class='boton' onclick="verNovedad('${datasalida_anticipada[i].id_novedad}','salida_anticipada');" style='font-size: 10px;'>Ver</button>
        </td>`;
				//Puede crear salidas anticipadas?, por ende puede editar y borrar
				if (profile.substr(35,1)==1){
        	output += `<td><input value="Editar" type="button" name="seleccion" id="seleccion" style="font-size: 10px;" class="boton" onclick="cargardatosSalidasAnticipadas('${datasalida_anticipada[i].fecha_inicio_novedad}','${datasalida_anticipada[i].hora_salida}','${datasalida_anticipada[i].motivo}','${datasalida_anticipada[i].remunerado}','salida_anticipada','${datasalida_anticipada[i].id_novedad}')"></input></td>
        	<td><img src="images/trash.png" alt="Borrar" width="25" height="25" onclick="javascript:borrardatosNovedad('${datasalida_anticipada[i].id_novedad}')"></td>`;
				}
				output += `</tr>`;
			}
      let titulo = `
        <tr style="text-overflow:clip; white-space: nowrap;">
        <th><br><strong>Salidas Anticipadas</strong><br></br></th>
        </tr>
        <tr>
        <th>Fecha&nbsp;</th>
        <th>Hora de salida &nbsp;</th>
				<th>Estado &nbsp;</th>
        </tr>
        `;
        if(output != ""){
          $('#titulodatossalida_anticipada').html(titulo);
        }
        $('#datossalida_anticipada').html(output);
    }
  });
  $('.datos_trabajador').show();
}

function borrardatosNovedad(id){
  var result = confirm('¿Si quieres borrar este dato?');
  if (result) {
    $.ajax({
      type: "POST",
      url: "autocompletar/eliminar_novedades.php",
      cache: false,
      data: {id},
      success: function(data){
        window.location = "registro_novedades_nomina.php";
      }
    });
  }
}
//prueba funcion que cargara los datos de horas extras
function cargardatosExtras(fin,horaingreso,horasalida,motivo,tipo,id_novedad) {
  document.getElementById('select_novedad').value = 'horas_extras';
  document.getElementById('select_novedad').focus();
  $('.horas_extras').toggle(tipo == 'horas_extras');
  $('.ausencia').toggle(tipo == 'Ausencias');
  $('.retardo').toggle(tipo == 'Retardos');
  $('.ausencia_programada').toggle(tipo == 'Ausencias');
  $('#clase_ausencia option[value=""]').toggle(tipo == 'Ausencias');
  $('.ausencia_medica').toggle(tipo == 'Ausencias');
  $('.validado_por_sso').toggle(tipo == 'Ausencias');
  $('.justificacion_ausencia').toggle(tipo == 'Ausencias');
  $('.tipo_permiso_ausencia').toggle(tipo == 'Ausencias');
  $('.remunerado_ausencia').toggle(tipo == 'Ausencias');
  $('.tiempo_viaje_ausencia').toggle(tipo == 'Ausencias');
  $('.hora_salida_ausencia').toggle(tipo == 'Ausencias');
  $('.hora_llegada_ausencia').toggle(tipo == 'Ausencias');
  $('.salida_anticipada').toggle(tipo == 'salida_anticipada');
  document.getElementById('fecha_inicio_novedad_horas_extras').value =fin;
  document.getElementById('hora_ingreso_horas_extras').value=horaingreso;
  document.getElementById('hora_salida_horas_extras').value=horasalida;
  document.getElementById('motivo_horas_extras').value=motivo;
  document.getElementById('id_novedad').value=id_novedad;
}
//prueba funcion que cargara los datos de ausencias
function cargardatosAusencias(fin,ffin,clase,motivo,au,auMedica,sso,jusAusencia,remAusencia,timeAusencia,horaSalida,horaLlegada,tipo_permiso,tipo,id_novedad) {
  document.getElementById('select_novedad').value = 'Ausencias';
  document.getElementById('select_novedad').focus();
  $('.ausencia').toggle(tipo == 'Ausencias');
  document.getElementById('fecha_inicio_novedad_ausencia').value =fin;
  document.getElementById('fecha_fin_novedad_ausencia').value=ffin;
  document.getElementById('motivo_ausencia').value=motivo;
	document.getElementById('id_novedad').value=id_novedad;

  //Condicion de select clase de ausencia
  if(clase == 'ausencia_medica'){
    //Muestra combos
    document.getElementById('clase_ausencia').value = 'ausencia_medica';
    document.getElementById('clase_ausencia').focus();
    $('#clase_ausencia option[value="ausencia_medica"]').toggle(clase == 'ausencia_medica');
    $('.validado_por_sso').toggle(clase == 'ausencia_medica');

    //Da valor a los combos
    $('select option[value="ausencia_medica"]').attr("selected", true);
    //Condicion para radio validacion SSO
    if(sso == "Si"){
      $('.validado_por_sso_si').prop("checked", true);
    }else if(sso == "No"){
      $('.validado_por_sso_no').prop("checked", true);
    }else{
      $('.validado_por_sso_si').prop("checked", false);
      $('.validado_por_sso_no').prop("checked", false);
    }
  }else if(clase == 'Fuerza Mayor AJ') {

		$('select option[value="Fuerza Mayor AJ"]').attr("selected", true);

		$( "#fecha_inicio_novedad_ausencia" ).prop( "disabled", true );
		$( "#fecha_fin_novedad_ausencia" ).prop( "disabled", true );
		$( "#motivo_ausencia" ).prop( "disabled", true );
  }else if (clase == 'Otra'){
    document.getElementById('clase_ausencia').value = 'otra';
    document.getElementById('clase_ausencia').focus();
    //Muestra combos
    $('.ausencia_programada').toggle(clase == 'Otra');
    $('.justificacion_ausencia').toggle(clase == 'Otra');

    //Da valor a combos
    //Ausencia programada
    if(au == "Si"){
      $('.ausencia_programada_si').prop("checked", true);
    }else if(au == "No"){
      $('.ausencia_programada_no').prop("checked", true);
    }else{
      $('.ausencia_programada_si').prop("checked", false);
      $('.ausencia_programada_si').prop("checked", false);
    }
    //Justificacion de ausencia
    document.getElementById('justificacion_ausencia').value = jusAusencia;
    //Muestra combos
    switch (jusAusencia) {
      case 'permiso':
        //Muestra Combos
        $('.tipo_permiso_ausencia').toggle(jusAusencia == 'permiso');
        $('.hora_salida_ausencia').toggle(tipo_permiso == 'salida_con_retorno');
        $('.hora_llegada_ausencia').toggle(tipo_permiso == 'salida_con_retorno');
        //Da valor a combos
        document.getElementById('tipo_permiso_ausencia').value = tipo_permiso;
        $('#hora_salida_ausencia').val(horaSalida);
        $('#hora_llegada_ausencia').val(horaLlegada);
      break;
      case '':
        //No hace nada en caso de que no exista Justificacion de Ausencia
      break;
      default:
        $('.remunerado_ausencia').toggle(tipo == 'Ausencias');
        $('.tiempo_viaje_ausencia').toggle(tipo == 'Ausencias');
        //Condicion para radio remuneracxion ausencia
        if(remAusencia == 'Si'){
          $('#remunerado_ausencia_si').prop("checked", true);
        }else if(remAusencia == 'No'){
          $('#remunerado_ausencia_no').prop("checked", true);
        }else{
          $('#remunerado_ausencia_si').prop("checked", false);
          $('#remunerado_ausencia_no').prop("checked", false);
        }
        //Condicion para radio tiempo de viaje ausencia
        if(timeAusencia == 'Si'){
          $('#tiempo_viaje_ausencia_si').prop("checked", true);
        }else if(timeAusencia == 'No'){
          $('#tiempo_viaje_ausencia_no').prop("checked", true);
        }else{
          $('#tiempo_viaje_ausencia_si').prop("checked", false);
          $('#tiempo_viaje_ausencia_no').prop("checked", false);
        }
    }
		if (jusAusencia=='falta_injustificada'){
			$('.remunerado_ausencia').toggle(jusAusencia != 'falta_injustificada');
			$('.tiempo_viaje_ausencia').toggle(jusAusencia != 'falta_injustificada');
		}
  }
	$( "#select_novedad" ).prop( "disabled", true );
	$( "#clase_ausencia" ).prop( "disabled", true );
}

//prueba funcion que cargara los datos de retardos
function cargardatosRetardos(fin,horasalida,motivo,remu,time_travel,tipo,id_novedad) {
  document.getElementById('select_novedad').value = 'Retardos';
  document.getElementById('select_novedad').focus();
  $('.horas_extras').toggle(tipo == 'horas_extras');
  $('.ausencia').toggle(tipo == 'Ausencias');
  $('.retardo').toggle(tipo == 'Retardos');
  $('.ausencia_programada').toggle(tipo == 'Ausencias');
  $('.ausencia_medica').toggle(tipo == 'Ausencias');
  $('.validado_por_sso').toggle(tipo == 'Ausencias');
  $('.justificacion_ausencia').toggle(tipo == 'Ausencias');
  $('.tipo_permiso_ausencia').toggle(tipo == 'Ausencias');
  $('.remunerado_ausencia').toggle(tipo == 'Ausencias');
  $('.tiempo_viaje_ausencia').toggle(tipo == 'Ausencias');
  $('.hora_salida_ausencia').toggle(tipo == 'Ausencias');
  $('.hora_llegada_ausencia').toggle(tipo == 'Ausencias');
  $('.salida_anticipada').toggle(tipo == 'salida_anticipada');
  document.getElementById('fecha_inicio_novedad_retardo').value =fin;
  document.getElementById('hora_ingreso_retardo').value=horasalida;
  document.getElementById('motivo_retardo').value=motivo;
	$( "#select_novedad" ).prop( "disabled", true );
	$( "#fecha_inicio_novedad_retardo" ).prop( "disabled", true );
	$( "#hora_ingreso_retardo" ).prop( "disabled", true );
	document.getElementById('id_novedad').value=id_novedad;

  //Condicion para radio remuneracxion retardo
  if(remu == 'Si'){
    $('#remunerado_retardo_si').prop("checked", true);
  }else if(remu == 'No'){
    $('#remunerado_retardo_no').prop("checked", true);
  }else{
    $('#remunerado_retardo_si').prop("checked", false);
    $('#remunerado_retardo_no').prop("checked", false);
  }
  //Condicion para radio tiempo viaje
  if(time_travel == 'Si'){
    $('#tiempo_viaje_si').prop("checked", true);
  }else if(time_travel == 'No'){
    $('#tiempo_viaje_no').prop("checked", true);
  }else{
    $('#tiempo_viaje_si').prop("checked", false);
    $('#tiempo_viaje_no').prop("checked", false);
  }
}
function cargardatosSalidasAnticipadas(fin,horasalida,motivo,remu,tipo,id_novedad) {
  document.getElementById('select_novedad').value = 'salida_anticipada';
  document.getElementById('select_novedad').focus();
  $('.horas_extras').toggle(tipo == 'horas_extras');
  $('.ausencia').toggle(tipo == 'Ausencias');
  $('.retardo').toggle(tipo == 'Retardos');
  $('.ausencia_programada').toggle(tipo == 'Ausencias');
  $('.ausencia_medica').toggle(tipo == 'Ausencias');
  $('.validado_por_sso').toggle(tipo == 'Ausencias');
  $('.justificacion_ausencia').toggle(tipo == 'Ausencias');
  $('.tipo_permiso_ausencia').toggle(tipo == 'Ausencias');
  $('.remunerado_ausencia').toggle(tipo == 'Ausencias');
  $('.tiempo_viaje_ausencia').toggle(tipo == 'Ausencias');
  $('.hora_salida_ausencia').toggle(tipo == 'Ausencias');
  $('.hora_llegada_ausencia').toggle(tipo == 'Ausencias');
  $('.salida_anticipada').toggle(tipo == 'salida_anticipada');
  document.getElementById('fecha_inicio_novedad_salida_anticipada').value =fin;
  document.getElementById('hora_salida_salida_anticipada').value=horasalida;
  document.getElementById('motivo_salida_anticipada').value=motivo;
	document.getElementById('id_novedad').value=id_novedad;

	$( "#select_novedad" ).prop( "disabled", true );
	$( "#fecha_inicio_novedad_salida_anticipada" ).prop( "disabled", true );
	$( "#hora_salida_salida_anticipada" ).prop( "disabled", true );

   if(remu == 'Si'){
    $('#remunerado_salida_anticipada_si').prop("checked", true);
  }else if(remu == 'No'){
    $('#remunerado_salida_anticipada_no').prop("checked", true);
  }else{
    $('#remunerado_salida_anticipada_si').prop("checked", false);
    $('#remunerado_salida_anticipada_no').prop("checked", false);
  }
}

// Ver registros de novedades en modal
function verNovedad(id_novedad,tipo_novedad){
  var parametros = {id_novedad,tipo_novedad};
  // AJAX request
  $.ajax({
    url: 'autocompletar/consulta_novedades.php',
    type: 'post',
    data: parametros,
    success: function(response){
      // Add response in Modal body
      $('.modal-body').html(response);
      // Display Modal
      $('#empModal').modal('show');
    }
  });
}

$("#solicitarAprobacionGerente").on('click', function() {
  var result = confirm('¿Seguro quieres solicitar aprobación a Gerente?\n\n¡¡Atención!!\nEsto quiere decir que no será posible registrar más novedades para este periodo');
  if (result) {
    window.location = "registro_novedades_nomina.php?accion=aprobacion_g6584";
  }
});

$("#entrada").submit(function(){
	$( "#fecha_inicio_novedad_ausencia" ).prop( "disabled", false );
	$( "#fecha_fin_novedad_ausencia" ).prop( "disabled", false );
	$( "#motivo_ausencia" ).prop( "disabled", false );
	$( "#select_novedad" ).prop( "disabled", false );
	$( "#clase_ausencia" ).prop( "disabled", false );
	$( "#fecha_inicio_novedad_retardo" ).prop( "disabled", false );
	$( "#hora_ingreso_retardo" ).prop( "disabled", false );
	$( "#fecha_inicio_novedad_salida_anticipada" ).prop( "disabled", false );
	$( "#hora_salida_salida_anticipada" ).prop( "disabled", false );
});
